"use strict";
// Source file from duniter: Crypto-currency software to manage libre currency such as Ğ1
// Copyright (C) 2018  Cedric Moreau <cem.moreau@gmail.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../../../../neon/lib");
class Key {
    constructor(pub, sec) {
        this.pub = pub;
        this.sec = sec;
    }
    /*****************************
     *
     *      GENERAL CRYPTO
     *
     *****************************/
    get publicKey() {
        return this.pub;
    }
    get secretKey() {
        return this.sec;
    }
    json() {
        return {
            pub: this.publicKey,
            sec: this.secretKey,
        };
    }
    sign(msg) {
        return Promise.resolve(this.signSync(msg));
    }
    signSync(msg) {
        const signator = lib_1.KeyPairBuilder.fromSecretKey(this.secretKey);
        return signator.sign(msg);
    }
}
exports.Key = Key;
function randomKey() {
    const seed = lib_1.generateRandomSeed();
    const secretKey = lib_1.seedToSecretKey(seed);
    const keypair = lib_1.KeyPairBuilder.fromSecretKey(secretKey);
    return new Key(keypair.getPublicKey(), secretKey);
}
exports.randomKey = randomKey;
//# sourceMappingURL=keyring.js.map