"use strict";
// Source file from duniter: Crypto-currency software to manage libre currency such as Ğ1
// Copyright (C) 2018  Cedric Moreau <cem.moreau@gmail.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractCFS_1 = require("./AbstractCFS");
const underscore_1 = require("../../common-libs/underscore");
class StatDAL extends AbstractCFS_1.AbstractCFS {
    constructor(rootPath, qioFS) {
        super(rootPath, qioFS);
    }
    async init() {
    }
    async close() {
    }
    async loadStats() {
        try {
            return await this.coreFS.readJSON('stats.json');
        }
        catch (e) {
            return null;
        }
    }
    getStat(statName) {
        return this.loadStats().then((stats) => (stats && stats[statName]) || { statName: statName, blocks: [], lastParsedBlock: -1 });
    }
    async pushStats(statsToPush) {
        const stats = (await this.loadStats()) || {};
        underscore_1.Underscore.keys(statsToPush).forEach(function (statName) {
            if (!stats[statName]) {
                stats[statName] = { blocks: [] };
            }
            stats[statName].blocks = stats[statName].blocks.concat(statsToPush[statName].blocks);
        });
        return this.coreFS.writeJSON('stats.json', stats);
    }
}
exports.StatDAL = StatDAL;
//# sourceMappingURL=StatDAL.js.map