import { BlockchainArchiveDAO, BlockLike } from "./abstract/BlockchainArchiveDAO";
import { CFSCore } from "../fileDALs/CFSCore";
export declare class CFSBlockchainArchive<T extends BlockLike> implements BlockchainArchiveDAO<T> {
    private cfs;
    private _chunkSize;
    constructor(cfs: CFSCore, _chunkSize: number);
    archive(records: T[]): Promise<number>;
    private checkBlocksRepresentChunks;
    private checkBlocksAreWellChained;
    private splitIntoChunks;
    getBlock(number: number, hash: string): Promise<T | null>;
    getBlockByNumber(number: number): Promise<T | null>;
    getBlocks(start: number, end: number): Promise<T[]>;
    getChunk(number: number): Promise<(T[]) | null>;
    getChunkForBlock(number: number): Promise<(T[]) | null>;
    getLastSavedBlock(): Promise<T | null>;
    private getFileNameForChunk;
    private getFileNameForBlock;
    private getChunkNumber;
    private static getChunkName;
    private getPositionInChunk;
    init(): Promise<void>;
    close(): Promise<void>;
    triggerInit(): void;
    cleanCache(): void;
    readonly chunkSize: number;
}
